Hackers estão utilizando imagens com códigos maliciosos escondidos para atacar sites

05/05/2016

seguranca_na_web_-_Brian_A_Jackson_Shutterstock

Pesquisadores de segurança descobriram que a vulnerabilidade está no ImageMagick, uma biblioteca de processamento de imagem muito utilizada, suportada por linguagens como PHP, Ruby, NodeJS, Python e permite que as imagens forcem um servidor Web a executar códigos de um criminoso.

Diversos meios de comunicação, sites e sistemas de gestão de conteúdo que utilizam a biblioteca, que permitem aos usuários carregar imagens, correm risco de sofrerem ataques que podem comprometer completamente a segurança.

Apesar de reconhecer a falha, a ImageMagick garantiu que está trabalhando para impedir a brecha de segurança e que, por enquanto, a equipe trabalha para bloquear possíveis explorações.

Fique atento!

Fonte: Olhar Digital



Tags: Internet

Social Media Auto Publish Powered By : XYZScripts.com